import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import dict from './modules/dict'
import user from './modules/user'
import tagsView from './modules/tagsView'
import permission from './modules/permission'
import settings from './modules/settings'
import selections from './modules/selections'
import getters from './getters'

import auditSetting  from './modules/auditSetting'
import elevators from "./modules/elevators";
import relatedCase from "./modules/relatedCase";

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    dict,
    user,
    tagsView,
    permission,
    settings,
    selections,
    auditSetting,
    elevators,
    relatedCase
  },
  getters,
  mutations: {
    getAccountList() {},
    // 触发线索列表刷新
    refreshLead(){},
    // 触发项目列表刷新
    refreshProject(){},
    // 已读消息时，刷新右上角消息
    refreshMsg(){},
  }
})

export default store
